src/main.cpp(3)

NAME
src/main.cpp - The main program for this project.

SYNOPSIS

#include <cmath>
#include <fstream>
#include <omp.h>
#include <string>
#include <sys/stat.h>
#include <vector>
#include 'PenningTrap.hpp'
#include 'utils.hpp'

  Macros
#define PARTICLES 100
#define N 10000
#define CHARGE 1.
#define MASS 40.

  Functions
void simulate_single_particle ()
void simulate_two_particles ()
void simulate_single_particle_with_different_steps ()
void simulate_100_particles ()
void simulate_100_particles_with_time_potential ()
int main ()

  Variables
Particle p1 (CHARGE, MASS, vec_3d{20., 0., 20.}, vec_3d{0., 25., 0.})
Particle p2 (CHARGE, MASS, vec_3d{25., 25., 0.}, vec_3d{0., 40., 5.})

Detailed Description

The main program for this project.

Author
    Cory Alexander Balaton (coryab)

    Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
    0.1

Bug
    No known bugs

Definition in file main.cpp.

Macro Definition Documentation

  #define CHARGE 1.

Definition at line 25 of file main.cpp.

  #define MASS 40.

Definition at line 26 of file main.cpp.

  #define N 10000

Definition at line 24 of file main.cpp.

  #define PARTICLES 100

Definition at line 23 of file main.cpp.

Function Documentation

  int main ()

Definition at line 124 of file main.cpp.

  void simulate_100_particles ()

Definition at line 77 of file main.cpp.

  void simulate_100_particles_with_time_potential ()

Definition at line 91 of file main.cpp.

  void simulate_single_particle ()

Definition at line 31 of file main.cpp.

  void simulate_single_particle_with_different_steps ()

Definition at line 55 of file main.cpp.

  void simulate_two_particles ()

Definition at line 42 of file main.cpp.

Author

Generated automatically by Doxygen for Penning Trap Simulation from the source code.